import request from '@/utils/request'

// 判断登陆角色
export function judgeRole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_根据人角色编号',
      param: '编号=' + arguments[0]
    }
  })
}

// 初始化MU
export function initMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '&部门代码=' + '0'
    }
  })
}
// 是否可以提交
export function isCanSubmit() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝领奖金基数输入_是否提交',
      param: '月份=' + arguments[0]
    }
  })
}

// 除MU外部门查询Segment
export function selectSegment() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_部门查询',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// MU查询Segment
export function selectSegmentForMU() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_Segment',
      param: '人员编号=' + arguments[0] + '\\&部门代码=' + arguments[1]
    }
  })
}
// GM查询
export function selectMUForGM() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '菜单模块系统_人员角色_查询数据_父节点_MU',
      param: '人员编号=' + arguments[0]
    }
  })
}
// 查询蓝领奖金基数
export function searchBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_系统管理员奖金基数无数据查询',
      param: '月份=' + arguments[0],
      pagination: arguments[1] + '&' + arguments[2]
    }
  })
}
// 增加或修改数据
export function uploadBonus() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '奖金绩效系统_蓝领奖金基数增加_整体录入',
      param: `月份=${arguments[0]}\\&MU_Departments=${arguments[1]}\\&Segment_Departments=${arguments[2]}\\&人员性质组=${arguments[3]}\\&奖金基数组=${arguments[4]}\\&记录人代码=${arguments[5]}`,
      pagination: arguments[6] + '&' + arguments[7]
    }
  })
}
// 提交数据
export function submit() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '奖金绩效系统_蓝领奖金基数系统管理员提交',
      param: `月份=${arguments[0]}`
    }
  })
}
// 查询冻结权限
export function initrole() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '输入权限判断'
    }
  })
}
